# wxGDIObject Class Reference
[Graphics Device Interface (GDI)]

`#include </home/work/projects/wx/2.9/wx/interface/wx/gdiobj.h>`

Inheritance diagram for wxGDIObject:
[legend]

## Detailed Description

This class allows platforms to implement functionality to optimise GDI objects, such as wxPen, wxBrush and wxFont.

On Windows, the underling GDI objects are a scarce resource and are cleaned up when a usage count goes to zero. On some platforms this class may not have any special functionality.

Since the functionality of this class is platform-specific, it is not documented here in detail.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also:
  wxPen, wxBrush, wxFont

## Public Member Functions

| wxGDIObject ()
| Default constructor.

List of all members.

## Constructor & Destructor Documentation

wxGDIObject::wxGDIObject | ( |  | ) |

Default constructor.

|  | [ top ]